Walking Dead Season Two

Walking Dead Season Two

Support

How do I know if my Android device is supported to run The Walking Dead: Season Two?

We determine if your device is compatible according to your device's Graphics Processing Unit (GPU). We support the following GPUs:

  • Adreno 300 series and up
  • Mali-T600 series and up
  • PowerVR SGX544 and up
  • Tegra 4 and up

Your device will also need at least a dual core 1.2GHz CPU, and a minimum of 1 GB of memory.

If your device barely meets the specifications listed above, you may experience some performance issues. We also cannot guarantee the game will run as intended if you are using a custom ROM or modified OS.

If you are not sure if your device is compatible, you can look up its specifications here.

Examples of supported devices include:

  • Galaxy S5 and up
  • HTC One (M7)
  • LG G2/G2 Mini and up
  • Motorola Moto X

Some examples of unsupported devices are:

  • Galaxy Tab 4 and below
  • Galaxy S5 Mini and below
  • Nexus 7 2012
  • Droid RAZR